attribute vec4 inPosition;
attribute vec2 inUV;
attribute vec2 inUV2;

uniform mat4 mvpMat;
uniform mat3 texMat;

varying vec2 gUV;

void main()
{
    gl_Position = mvpMat * inPosition;
    vec3 uv0 = texMat*vec3(inUV2.x, inUV2.y, 1);

    vec3 uv3 = texMat*vec3(inUV.x, inUV.y, 1);
    gUV = vec2(uv3.x, uv3.y);
}
